<?php
//Exportar datos de php a Excel
header("Content-Type: application/vnd.ms-excel" );
header("Expires: 0" );
header("Cache-Control: must-revalidate, post-check=0, pre-check=0" );
header("content-disposition: attachment;filename=Reportes.xls" );
?>
<? 
require_once('../../../conf/connection.php');

$nivel = $_GET["nivel"];
$nombreuser =$_GET["nombreuser"];
$estado=$_GET["estado"];

$rut=$_GET["rut"];

$desde_ft =$_GET["desde"];
$desde=date('Y-m-d',strtotime($desde_ft));

$hasta_ft =$_GET["hasta"];
$hasta=date('Y-m-d',strtotime($hasta_ft));

$saldo="SELECT SUM(total) AS saldo FROM  ventas WHERE rut_clientes='$rut' and  fecha BETWEEN '$desde' AND '$hasta'";
$rs_query=mysql_query($saldo);
$suma=mysql_result($rs_query,0,"saldo");
 ?>
<html>
	<head>
<script language="javascript">
function imprimir() {
	window.print();

	
}
</script>
	</head>

	<body>	
    <table width="584" border=0 cellpadding=3 cellspacing=0 class="fuente8">					
					  <tr>
						
						  <td width="578" align="center" >LISTADO DE PEDIDOS X CLIENTE</td>
						 
					  </tr>
					  <tr>
					    <td align="center" >&nbsp;</td>
      </tr>
					  
					  
					  
					  <tr>
					    <td align="center" >DESDE: <? echo $desde_ft?> --  HASTA: <? echo $hasta_ft?></td>
      </tr>
					  
					  
                      </table>
                     <table width="975">
					  <tr>
					    <td colspan="5">&nbsp;</td>
    </tr>
					  <tr>
					    <td colspan="4" class="fuente8" >&nbsp;</td>
					  </tr>
					  <tr>
					    <td colspan="5"><tr>
					      <td><tr>
					        <td><tr>
					          <td colspan="4">&nbsp;</td>
					        </tr>
					        <tr>
					          <td><p >
					            <? 

        $buscar='select * from tp_doc where rut like \'%'.$rut.'%\' and  fecha like \'%'.$fecha_ft.'%\'';
		   $r=mysql_query($buscar,$conn) or die("Error en el query: ".mysql_error());
		   $n=mysql_num_rows($r);
		    //si hay registros los procesamos
			if($n>0)
			{
			?>
                                <table  width="586" border="0">
                                  <tr bgcolor="#69BFE0" >
                                    <td width="68">Pedido</td>
                                    <td width="79">Fecha</td>
                                    <td width="109">Total </td>
                                    <td width="312">Detalles Pedido</td>
                                  </tr>
                                  <?
				while($row=mysql_fetch_assoc($r))
				{ //Procesamos cada registro como una fila de tabla
					?>
                                  <tr>
                                    <?
					//$row["nomCampo"] estos nomCampo son los campos devueltos por el
					//query en la variable $r que procesa mysql_fetch_assoc
					?>
                                    <td align="left"><? $pedido=$row["pedido"]; echo  $row["pedido"]; ?></td>
                                    <td align="left"><? echo  $row["fecha"] ?></td>
                                    <td align="left"><? echo $row["valor_total"] ?></td>
                                    <td align="left"><? $buscar_r='select *, SUM(cantidad) as cant, SUM(valor_total) as valor from 
                     detalles_pedido_bd where numero like \'%'.$pedido.'%\' group by numero  ';
		             $rs=mysql_query($buscar_r,$conn) or die("Error en el query: ".mysql_error()); 
                      while($rows=mysql_fetch_assoc($rs))
				        { //Procesamos cada registro co
                          ?>
                                      <div style="background-color:#CCC">
                                        <?
						  $cant=$rows["cant"];
						  $plato=$rows["codarticulo"];
						  
					      $query="SELECT *  FROM articulos WHERE referencia='$plato'";
 					      $rs_query=mysql_query($query);
					      $nombre=mysql_result($rs_query,0,"descripcion");
					      $idgrupos=mysql_result($rs_query,0,"codfamilia");
                          echo $nombre;  ?>
                                        (<? echo $cant ?>)</div>
                                      <br>
                                      <?
                         
                         
                         } ?></td>
                                  </tr>
                                  <? }?>
                                  <tr>
                                    <td colspan="6" align="left">Total: <? echo $suma ?></td>
                                  </tr>
                                </table>
                                <br>
                                <? } 
			else
			{
				echo "No hubieron coincidencias!";
     
			} ?>
</body>
</html>
